Subject: [PATCH] iommu/rockchip: Make use of 'struct iommu_device'

From: [email-masked] (Heiko Stübner)
Date: Mon, 03 Apr 2017 13:11:01 +0200

Am Montag, 3. April 2017, 13:07:58 CEST schrieb Joerg Roedel:
> Hey Heiko,
> 
> On Mon, Apr 03, 2017 at 11:56:59AM +0200, Heiko St?bner wrote:
> > In general works, and I still keep a working iommu-based display :-)
> > I can also see my two vop iommus under /sys/class/iommu now.
> 
> Great, thanks for testing that patch!
> 
> > Links in the devices subdirectory do not work though, see below:
> Okay, thats bad, but I think its nothing we should work around right
> now. My goal with this work is to have a per-iommu check-device
> call-back to bind devices to iommus in the core code.
> 
> This will also solve the probe-ordering issue and we are fine again. We
> just call check-device then for every device on the bus that has no
> iommu already when the iommu is registered and create the links at that
> time.

ok, so you can at least add my
Tested-by: Heiko Stuebner <[email-masked]>

on the patch

Heiko